Package org.springframework.web.servlet.mvc.method.annotation

# Class ServletRequestDataBinderFactory

java.lang.Object
org.springframework.web.bind.support.DefaultDataBinderFactory
org.springframework.web.method.annotation.InitBinderDataBinderFactory
org.springframework.web.servlet.mvc.method.annotation.ServletRequestDataBinderFactory

All Implemented Interfaces:
  `org.springframework.web.bind.support.WebDataBinderFactory`

public class ServletRequestDataBinderFactory extends org.springframework.web.method.annotation.InitBinderDataBinderFactory
Creates a `ServletRequestDataBinder`.

Since:
  3.1
Author:
  Rossen Stoyanchev

## Constructor Summary

Constructors
Constructor
Description
`ServletRequestDataBinderFactory(List<org.springframework.web.method.support.InvocableHandlerMethod> binderMethods, org.springframework.web.bind.support.WebBindingInitializer initializer)`
Create a new instance.

## Method Summary

Modifier and Type
Method
Description
`protected org.springframework.web.bind.ServletRequestDataBinder`
`createBinderInstance(Object target, String objectName, org.springframework.web.context.request.NativeWebRequest request)`
Returns an instance of `ExtendedServletRequestDataBinder`.

### Methods inherited from class org.springframework.web.method.annotation.InitBinderDataBinderFactory

`initBinder, isBinderMethodApplicable`

### Methods inherited from class org.springframework.web.bind.support.DefaultDataBinderFactory

`createBinder, createBinder, setMethodValidationApplicable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServletRequestDataBinderFactory

public ServletRequestDataBinderFactory(@Nullable List<org.springframework.web.method.support.InvocableHandlerMethod> binderMethods, @Nullable org.springframework.web.bind.support.WebBindingInitializer initializer)
Create a new instance.

Parameters:
  `binderMethods` - one or more `@InitBinder` methods
  `initializer` - provides global data binder initialization

## Method Details

### createBinderInstance

protected org.springframework.web.bind.ServletRequestDataBinder createBinderInstance(@Nullable Object target, String objectName, org.springframework.web.context.request.NativeWebRequest request) throws Exception
Returns an instance of `ExtendedServletRequestDataBinder`.

Overrides:
  `createBinderInstance` in class `org.springframework.web.bind.support.DefaultDataBinderFactory`
Throws:
  `Exception`